unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    TrackBar1: TTrackBar;
    Panel1: TPanel;
    Panel2: TPanel;
    procedure FormCreate(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    function Svetlee(Color: TColor; Procent: Byte): TColor;
    function Temnee(Color: TColor; Procent: Byte): TColor;

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Cvet1: Tcolor;
  Cvet2: Tcolor;


implementation

{$R *.dfm}

procedure WindSpeed;

begin
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Cvet1:= clGreen;
  Cvet2:= clFuchsia; 
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  Panel1.Color := Svetlee(Cvet1, TrackBar1.Position);
  Panel2.Color:= Temnee(Cvet2,TrackBar1.Position);

end;

function TForm1.Svetlee(Color: TColor; Procent: Byte): TColor;  //   
var
    r, g, b: Byte;
begin    //   
    Color := ColorToRGB(Color);   //         
                                                     // func Graphics.ColorToRGB - graphics.pas (1259)
    r := GetRValue(Color);                  //     func Windows.GetRValue  - windows.pas (30335)
    g := GetGValue(Color);                //
    b := GetBValue(Color);                //
    r := r + muldiv(255 - r, Procent, 100);     //   %
    g := g + muldiv(255 - g, Procent, 100);  // func Windows. muldiv - windows.pas (28616)
    b := b + muldiv(255 - b, Procent, 100);
    Result := RGB(r, g, b);                           //    
end;

function TForm1.Temnee(Color: TColor; Procent: Byte): TColor;   //  
var
    r, g, b: Byte;
begin    //  
    Color := ColorToRGB(Color);
    r := GetRValue(Color);
    g := GetGValue(Color);
    b := GetBValue(Color);
    r := r - muldiv(r, Procent, 100);
    g := g - muldiv(g, Procent, 100);
    b := b - muldiv(b, Procent, 100);
    result := RGB(r, g, b);
end;



end.

